package model

import "go.mongodb.org/mongo-driver/bson/primitive"

const (
	Perm_Root        = "超级管理员"       //超级管理员
	Perm_SubAccount  = "SubAccount"  //子账号管理
	Perm_AccountRole = "AccountRole" //角色管理

	Perm_Shoe_Public_list   = "ShoePublicList"   //款式查看企业公开列表
	Perm_Shoe_Public_edit   = "ShoePublicEdit"   //款式编辑企业公开列表
	Perm_Shoe_Public_Remove = "ShoePublicRemove" //款式删除权限
	Perm_Shoe_Upload        = "ShoeUpload"       //款式上传
	Perm_Shoe_Remove        = "ShoeRemove"       //款式删除
)

type PermItem struct {
	Value string `bson:"value,omitempty" json:"value"`
	Name  string `bson:"name,omitempty" json:"name"`
}

type Perms struct {
	Id       primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Group    string             `bson:"group,omitempty" json:"group"`
	Children []*PermItem        `bson:"children,omitempty" json:"children"`
}

// func (r *Role) IsPermOk(perm string) bool {
// 	if r.Name == Perm_Root {
// 		return true
// 	}

// 	if r.Perms == nil {
// 		return false
// 	}
// 	for _, p := range r.Perms {
// 		for _, item := range p.Children {
// 			if item.Value == perm {
// 				return true
// 			}
// 		}
// 	}
// 	return false
// }
