package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type Category struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Type       string             `bson:"type,omitempty" json:"type"`
	Name       string             `bson:"name,omitempty" json:"name"`
	Children   []string           `bson:"children,omitempty" json:"children"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
}
