package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type Share struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
	LastTime   time.Time          `bson:"lastTime,omitempty" json:"lastTime"`

	AssetId primitive.ObjectID `bson:"assetId,omitempty" json:"assetId"`
	UserId  primitive.ObjectID `bson:"userId,omitempty" json:"userId"`

	Coll      string `bson:"coll,omitempty" json:"coll"`
	DbName    string `bson:"dbname,omitempty" json:"dbname"`
	Scope     string `bson:"category,omitempty" json:"category"`
	AssetType string `bson:"assetType,omitempty" json:"assetType"`

	PV int `bson:"pv,omitempty" json:"pv"`
}
